/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package it.unitn.disi.lingProg.longato;

import java.awt.Color;
import javafx.geometry.Pos;
import javafx.scene.Node;
import javafx.scene.layout.HBox;
import javafx.scene.paint.Paint;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Polygon;
import javafx.scene.shape.Shape;

/**
 * Un Alloggio di tipo Hotel
 * @author matteo.longato
 */
public class Hotel extends Alloggio{
    int stars;

    public Hotel(String name, int price, double grade, int stars) {
        super(name, price, grade);
        this.stars = stars;
    }

    @Override
    public Node getAdditionalInfo() {
        HBox starContainer = new HBox(2);
        starContainer.setAlignment(Pos.CENTER);
        for(int i=0; i<stars; i++){
            Shape star = new Circle(5);
            star.setFill(Paint.valueOf("yellow"));
            star.setStroke(Paint.valueOf("orange"));
            starContainer.getChildren().add(star);
        }
        return starContainer;
    }

}
